## foxdot 0.8.12+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = FoxDot
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
foxdot (0.8.12+dfsg-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #1015898)

 -- Joenio Marques da Costa <joenio@joenio.me>  Thu, 07 Sep 2023 17:57:16 +0530

=== debian/control ===
Source: foxdot
Section: sound
Priority: optional
Maintainer: Joenio Marques da Costa <joenio@joenio.me>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-midiutil,
 python3-setuptools,
 wxpython-tools,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://foxdot.org
Vcs-Browser: https://salsa.debian.org/python-team/packages/foxdot
Vcs-Git: https://salsa.debian.org/python-team/packages/foxdot.git

Package: foxdot
Architecture: all
Multi-Arch: foreign
Depends:
 python3-midiutil,
 python3-psutil,
 python3-tk,
 supercollider,
 wxpython-tools,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 sc3-plugins,
Description: python-based language and editor for making music
 FoxDot is a Python programming environment that provides a fast and
 user-friendly abstraction to SuperCollider. It also comes with its own IDE,
 which means it can be used straight out of the box.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = foxdot
PY3VER = $(shell py3versions -d -v)

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	mkdir -p .pybuild/cpython3_$(PY3VER)_foxdot/build/FoxDot/snd/_loop_
	touch .pybuild/cpython3_$(PY3VER)_foxdot/build/FoxDot/snd/_loop_/.keep

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/Qirky/FoxDot/tags?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/@ANY_VERSION@
